#include <stdio.h>
#include <math.h>
main()
{
    unsigned int N,M;
    int br=0;
    do
    {
        printf("unesi broj vaga N i broj pitanja M u opsegu od 1 do 2*10^5: ");
        scanf("%d%d", &N, &M);
    }
    while((N>2*pow(10,5) || N<1)||(M>2*pow(10,5) || M<1));
    unsigned int v[N][2];
    unsigned int p[M][3];
    for(int i=0;i<N;i++)
    {
        printf("Unesi gornju i donju tezinsku granicu vage koja moze da se izmeri vagom %d u opsegu od 0 do 10^9: ",i+1);
            do
            {
                scanf("%d %d",&v[i][0], &v[i][1]);
                if(v[i][0]>v[i][1])
                {
                    printf("Donja granica mora da bude manja od gornje! ");
                }
                if((v[i][0]>pow(10,9)) || (v[i][1]>pow(10,9)))
                {
                    printf("Granice vage moraju da budu u opsegu od 0 do 10^9: ");
                }
            }
            while((v[i][0]>pow(10,9)) || (v[i][0]>v[i][1]) || (v[i][1]>pow(10,9)));
    }
    for(int i=0;i<M;i++)
    {
        printf("Unesi koliko vaga sa indeksima od l do r moze izmeriti tezinu x: ");
        do
        {
            scanf("%d %d %d",&p[i][0],&p[i][1],&p[i][2]);
            if(p[i][0]>p[i][1])
            {
                printf("Broj vage l mora da bude manji od broja vage r! ");
            }
            if(p[i][2]>=pow(10,9))
            {
                printf("Tezina x mora biti u opsegu od 0 do 10^9! ");
            }
            if(p[i][0]>N || p[i][1]>N)
            {
                printf("Brojevi vaga moraju da budu u opsegu od 1 do %d!  ",N);
            }
        }
        while((p[i][2]>pow(10,9)) || (p[i][0]>p[i][1]) || (p[i][0]>N || p[i][1]>N || p[i][0]<1 || p[i][2]<1));
    }
    for(unsigned int i=0;i<M;i++)
        {
            for(unsigned int j=0;(p[i][0]+j)<=p[i][1];j++)
            {
                if(v[(p[i][0]-1+j)][0]<=p[i][2] && v[(p[i][0]-1+j)][1]>=p[i][2])
                {
                    br++;
                }
            }
            printf("%d\n",br);
            br=0;
        }
}